> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 自動化を一覧表示

> 組織内のすべての自動化を新しい順に一覧表示します。

メタデータラベルで絞り込むには、`metadata.<key>=<value>` クエリパラメータを
使用できます（完全一致。複数のフィルターは AND 条件で結合されます）。

`agent_types` は、指定したエージェントタイプのアクションを少なくとも 1 つ含む
自動化に絞り込みます。パラメータを繰り返し指定すると、複数タイプのいずれかに一致させることが
できます（OR）。アクションのペイロードはクエリ可能な列ではなく顧客データストレージに
保存されるため、このフィルターではサーバー側でページをスキャンします。`total` は、単一の
フィルターなしのスキャンが結果セット全体を対象とした場合にのみ返されます
（最初のページで、後続ページがなく、非表示の項目もない場合）。それ以外の場合は、API が
返さない自動化を含む件数を報告しないよう、省略されます。

<div id="permissions">
  ## 権限
</div>

組織レベルの `ViewOrgAutomations` 権限を持つサービスユーザーが必要です。

<div id="filtering">
  ## フィルタリング
</div>

`search`、`creator_id`、`enabled`、`event_type`、`agent_types` によるフィルタリングをサポートしています。`agent_types` は複数回指定でき、複数のタイプのいずれかに一致する結果を取得できます。`metadata.<key>=<value>` クエリパラメータでは、メタデータラベルでフィルタリングできます (完全一致。複数のフィルタは AND 条件で結合されます) 。

結果は新しい順に返され、カーソル方式のページネーション (`after`、`first`) を使用します。`total` は、フィルタなしの単一スキャンで結果セット全体を対象とした場合にのみ返されます。


## OpenAPI

````yaml ja/v3-openapi.yaml GET /v3/organizations/{org_id}/automations
openapi: 3.1.0
info:
  description: Service User 認証および RBAC に対応した Devin v3 API
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3/organizations/{org_id}/automations:
    get:
      tags:
        - automations
      summary: 自動化を一覧表示
      description: |-
        組織内のすべての自動化を新しい順に一覧表示します。

        メタデータラベルで絞り込むには、`metadata.<key>=<value>` クエリパラメータを
        使用できます（完全一致。複数のフィルターは AND 条件で結合されます）。

        `agent_types` は、指定したエージェントタイプのアクションを少なくとも 1 つ含む
        自動化に絞り込みます。パラメータを繰り返し指定すると、複数タイプのいずれかに一致させることが
        できます（OR）。アクションのペイロードはクエリ可能な列ではなく顧客データストレージに
        保存されるため、このフィルターではサーバー側でページをスキャンします。`total` は、単一の
        フィルターなしのスキャンが結果セット全体を対象とした場合にのみ返されます
        （最初のページで、後続ページがなく、非表示の項目もない場合）。それ以外の場合は、API が
        返さない自動化を含む件数を報告しないよう、省略されます。
      operationId: handle_list_automations_v3_organizations__org_id__automations_get
      parameters:
        - description: '組織 ID（プレフィックス: org-）'
          in: path
          name: org_id
          required: true
          schema:
            example: org-abc123def456
            title: Org Id
            type: string
        - in: query
          name: after
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: After
        - in: query
          name: first
          required: false
          schema:
            default: 100
            maximum: 200
            minimum: 1
            title: First
            type: integer
        - in: query
          name: search
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search
        - in: query
          name: creator_id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Creator Id
        - in: query
          name: enabled
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Enabled
        - in: query
          name: event_type
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Event Type
        - in: query
          name: agent_types
          required: false
          schema:
            anyOf:
              - items:
                  enum:
                    - new_session
                    - long_running
                    - auto_triage
                    - remediate_finding
                    - triage_session
                    - incident_session
                  type: string
                type: array
              - type: 'null'
            title: Agent Types
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_AutomationResponse_'
          description: 成功レスポンス
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: 認証されていません
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: アクセスが禁止されています
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: 見つかりません
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: 競合
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: 処理できないコンテンツ
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: リクエストが多すぎます
components:
  schemas:
    PaginatedResponse_AutomationResponse_:
      properties:
        end_cursor:
          anyOf:
            - type: string
            - type: 'null'
          description: 次のページを取得するためのカーソル。これが最後のページの場合は None。
          title: End Cursor
        has_next_page:
          default: false
          description: このページの後に利用可能なアイテムがあるかどうか。
          title: Has Next Page
          type: boolean
        items:
          items:
            $ref: '#/components/schemas/AutomationResponse'
          title: Items
          type: array
        total:
          anyOf:
            - type: integer
            - type: 'null'
          description: 任意の合計件数（パフォーマンス向上のため省略可能）。
          title: Total
      required:
        - items
      title: PaginatedResponse[AutomationResponse]
      type: object
    ProblemDetail:
      description: >-
        v3 API 用の RFC 9457 application/problem+json エラーボディ。


        detail は後方互換性のため、レガシーな {"detail": ...}
        ボディから引き継がれます。その他のメンバーは追加式です。errors にはフィールドレベルのバリデーションエラーが含まれます（422
        の場合のみ）。
      properties:
        detail:
          anyOf:
            - type: string
            - type: 'null'
          description: この事象に固有の、人が読める説明。
          title: Detail
        errors:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          description: フィールド単位のバリデーションエラー（422 レスポンスのみ）。
          title: Errors
        instance:
          anyOf:
            - type: string
            - type: 'null'
          description: この発生箇所の URI 参照（リクエストパス）。
          title: Instance
        status:
          description: HTTP ステータスコード。
          title: Status
          type: integer
        title:
          description: 問題タイプを人が読める短い要約。
          title: Title
          type: string
        type:
          default: about:blank
          description: 問題タイプを識別する URI 参照。
          title: Type
          type: string
      required:
        - title
        - status
      title: ProblemDetail
      type: object
    AutomationResponse:
      additionalProperties: false
      properties:
        actions:
          items:
            discriminator:
              mapping:
                message_session:
                  $ref: '#/components/schemas/AutomationMessageSessionAction'
                monitor_session:
                  $ref: '#/components/schemas/AutomationMonitorSessionAction'
                start_session:
                  $ref: '#/components/schemas/AutomationStartSessionAction-Output'
              propertyName: type
            oneOf:
              - $ref: '#/components/schemas/AutomationStartSessionAction-Output'
              - $ref: '#/components/schemas/AutomationMessageSessionAction'
              - $ref: '#/components/schemas/AutomationMonitorSessionAction'
          title: Actions
          type: array
        automation_id:
          title: Automation Id
          type: string
        concurrency:
          anyOf:
            - $ref: '#/components/schemas/AutomationConcurrency'
            - type: 'null'
        created_at:
          title: Created At
          type: integer
        created_by:
          $ref: '#/components/schemas/ActorResponse'
        enabled:
          title: Enabled
          type: boolean
        last_edited_by:
          anyOf:
            - $ref: '#/components/schemas/ActorResponse'
            - type: 'null'
        last_invocation:
          anyOf:
            - $ref: '#/components/schemas/AutomationLastInvocation'
            - type: 'null'
        limits:
          anyOf:
            - $ref: '#/components/schemas/AutomationLimits'
            - type: 'null'
        metadata:
          additionalProperties:
            type: string
          default: {}
          title: Metadata
          type: object
        name:
          title: Name
          type: string
        notifications:
          anyOf:
            - $ref: '#/components/schemas/AutomationNotifications'
            - type: 'null'
        run_as:
          description: >-
            生成されるセッションの実行 ID。organization: org の自動化 ID（アプリ内の System User）—
            セッションはシステム権限を使用するため、個人用（ユーザースコープ）の接続でインストールされた
            MCPサーバーは選択できません。また、自動化を organization
            に切り替えると、それらは選択対象から除外されます。creator: 個人用自動化 — 作成者自身の権限で実行され、作成者と org
            管理者にのみ表示されます。サービスユーザーが作成した自動化では使用できません。作成時に必須です。更新時に null を指定すると
            organization にリセットされます。
          discriminator:
            mapping:
              creator:
                $ref: '#/components/schemas/AutomationRunAsCreator'
              organization:
                $ref: '#/components/schemas/AutomationRunAsOrganization'
            propertyName: type
          oneOf:
            - $ref: '#/components/schemas/AutomationRunAsOrganization'
            - $ref: '#/components/schemas/AutomationRunAsCreator'
          title: Run As
        security_profile:
          anyOf:
            - $ref: '#/components/schemas/AutomationSecurityProfileResponse'
            - type: 'null'
          description: >-
            自動化のセキュリティプロファイルのバインドと、解決された適用プロファイル。組織でセキュリティプロファイルが有効化されていない場合は
            null。
        session_settings:
          anyOf:
            - $ref: '#/components/schemas/AutomationSessionSettings-Output'
            - type: 'null'
        template_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Template Id
        tools:
          anyOf:
            - $ref: '#/components/schemas/AutomationTools'
            - type: 'null'
        triggers:
          items:
            $ref: '#/components/schemas/AutomationTriggerResponse'
          title: Triggers
          type: array
        updated_at:
          title: Updated At
          type: integer
      required:
        - automation_id
        - name
        - enabled
        - triggers
        - actions
        - created_by
        - created_at
        - updated_at
      title: AutomationResponse
      type: object
    AutomationMessageSessionAction:
      additionalProperties: false
      properties:
        auto_create:
          default: false
          description: >-
            true
            の場合、最初のトリガーで自動化が所有する新しい長時間実行セッションが作成され、以降のトリガーはそのセッションにメッセージを送信します。
          title: Auto Create
          type: boolean
        prompt:
          description: トリガー元イベントのペイロードは自動的に追加されます。
          title: Prompt
          type: string
        target_devin_id:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            org
            に属している必要があります。このアクションを含む自動化を編集するには、対象セッションへの書き込みアクセスが必要です（有効化または無効化のみの編集を除く）。auto_create
            が true でない限り必須です。true
            の場合、最初のトリガーでセッションが作成されるとサーバー側で設定され、クライアント指定の値は無視されます。
          title: Target Devin Id
        type:
          const: message_session
          default: message_session
          title: Type
          type: string
      required:
        - prompt
      title: AutomationMessageSessionAction
      type: object
    AutomationMonitorSessionAction:
      additionalProperties: false
      properties:
        setup_prompt:
          description: セッションのシステムプロンプトに挿入されます。prompt と同じ参照トークンの文法を使用します。
          title: Setup Prompt
          type: string
        slack_monitor_config:
          $ref: '#/components/schemas/AutomationSlackMonitorConfig'
          description: 同じチャンネルに slack:message トリガーがちょうど 1 つ必要です。
        type:
          const: monitor_session
          default: monitor_session
          title: Type
          type: string
      required:
        - setup_prompt
        - slack_monitor_config
      title: AutomationMonitorSessionAction
      type: object
    AutomationStartSessionAction-Output:
      additionalProperties: false
      properties:
        prompt:
          description: >-
            唯一の基準となる情報源:
            インライン参照トークン（@{owner}/{repo}、@{path}、@playbook:{id}、@skills:{name}、!{macro}、${SECRET_NAME}）を含むプレーンテキスト。種類プレフィックス付きトークンは保存時に検証され、不明な
            ID の場合は 400 が返されます。トリガーイベントのペイロードは自動的に追加されます。
          title: Prompt
          type: string
        session:
          $ref: '#/components/schemas/AutomationSessionConfig-Output'
          description: 生成されたセッションの設定。
        type:
          const: start_session
          default: start_session
          title: Type
          type: string
      required:
        - prompt
      title: AutomationStartSessionAction
      type: object
    AutomationConcurrency:
      additionalProperties: false
      properties:
        max_concurrent_runs:
          anyOf:
            - minimum: 1
              type: integer
            - type: 'null'
          description: >-
            この自動化の進行中のrunの最大数。以降にトリガーされたイベントはキューで待機します。runは、セッションが停止した場合だけでなく、セッションが完了して追加の指示待ちになった時点で上限のカウント対象外になります。null
            = 無制限。
          title: Max Concurrent Runs
        max_queue_depth:
          anyOf:
            - minimum: 0
              type: integer
            - type: 'null'
          description: >-
            自動化のキューで実行待ちとなるトリガー済みイベントの最大数。これを超えるイベントは破棄されます。max_concurrent_runsの設定が必要です。null
            = 無制限。
          title: Max Queue Depth
      title: AutomationConcurrency
      type: object
    ActorResponse:
      description: アクションまたはリソースに紐付けられたユーザーまたはサービスユーザーのプリンシパル。
      properties:
        id:
          description: ユーザーIDまたはサービスユーザーID。
          title: Id
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
          description: サーバー側で解決された表示名。削除済みの場合はnull。
          title: Name
        type:
          description: プリンシパルの種類。
          enum:
            - user
            - service_user
          title: Type
          type: string
      required:
        - type
        - id
      title: ActorResponse
      type: object
    AutomationLastInvocation:
      additionalProperties: false
      properties:
        fired_at:
          title: Fired At
          type: integer
        status:
          description: succeeded | failed | skipped — 拡張可能な列挙型。クライアントは新しい値を許容する必要があります。
          title: Status
          type: string
      required:
        - fired_at
        - status
      title: AutomationLastInvocation
      type: object
    AutomationLimits:
      additionalProperties: false
      properties:
        invocations:
          anyOf:
            - $ref: '#/components/schemas/AutomationInvocationLimits'
            - type: 'null'
          description: 自動化自体の発生頻度を制限します。
        max_acu_limit:
          anyOf:
            - maximum: 1000
              minimum: 1
              type: integer
            - type: 'null'
          description: 生成されるセッションごと（sessions API と同じ名前）。
          title: Max Acu Limit
      title: AutomationLimits
      type: object
    AutomationNotifications:
      additionalProperties: false
      properties:
        email:
          anyOf:
            - $ref: '#/components/schemas/AutomationEmailNotification'
            - type: 'null'
        slack:
          anyOf:
            - $ref: '#/components/schemas/AutomationSlackNotification'
            - type: 'null'
      title: AutomationNotifications
      type: object
    AutomationRunAsCreator:
      additionalProperties: false
      properties:
        type:
          const: creator
          default: creator
          title: Type
          type: string
      title: AutomationRunAsCreator
      type: object
    AutomationRunAsOrganization:
      additionalProperties: false
      properties:
        type:
          const: organization
          default: organization
          title: Type
          type: string
      title: AutomationRunAsOrganization
      type: object
    AutomationSecurityProfileResponse:
      additionalProperties: false
      properties:
        profile_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Id
        selection:
          description: >-
            自動化自体のバインド: inherit（バインドなし）、none（明示的なオプトアウト）、または profile（profile_id
            を固定）。セッションは Enterprise -> 組織 ->
            自動化の完全なチェーンを解決します。自動化のネットワークポリシーで適用プロファイルのポリシーを緩和することはできず、制限を強めることしかできません。また、オプトアウトしても必須の組織/Enterprise
            プロファイルを回避することはできません。
          enum:
            - inherit
            - none
            - profile
          title: Selection
          type: string
        warnings:
          default: []
          description: >-
            ブロックはしない設定上の競合。例: 適用プロファイルがエンドポイントのホスト名をブロックしている、推奨 MCP
            サーバー（生成されたセッションはそのサーバーに接続できません）。チェックされるのはリモート MCP
            エンドポイントのホスト名のみです。リストが空でも、すべての MCP
            またはネットワーク宛先が利用できることは保証されません。単一の自動化の読み取りおよび書き込み時に設定され、リストのレスポンスでは空です。
          items:
            type: string
          title: Warnings
          type: array
      required:
        - selection
      title: AutomationSecurityProfileResponse
      type: object
    AutomationSessionSettings-Output:
      additionalProperties: false
      description: この自動化が生成するすべてのセッション（監視セッションを含む）に適用されます。
      properties:
        devin_mode:
          anyOf:
            - enum:
                - normal
                - fast
                - lite
                - ultra
                - fusion
              type: string
            - type: 'null'
          description: null = 組織のデフォルト。
          title: Devin Mode
        net_policy:
          anyOf:
            - $ref: '#/components/schemas/AutomationNetPolicy'
            - type: 'null'
      title: AutomationSessionSettings
      type: object
    AutomationTools:
      additionalProperties: false
      properties:
        linear_enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          description: Linear ツールを付与します。
          title: Linear Enabled
        mcp_servers:
          default: []
          description: >-
            生成されたセッションで有効にする marketplace スラッグ（mcp-servers リソースの slug フィールド。例:
            'github'、'notion'）。個人（ユーザースコープ）の接続でインストールされたサーバーには run_as creator
            が必要です。Automations サービス ID にはこれらの個人用トークンがないため、run_as organization
            で選択すると拒否されます。また、自動化の run_as を organization に切り替えると、保存済みの選択から削除されます。
          items:
            type: string
          title: Mcp Servers
          type: array
        slack_channels:
          default: []
          description: セッションの Slack ツールが投稿できるチャンネル。
          items:
            $ref: '#/components/schemas/AutomationSlackChannel'
          title: Slack Channels
          type: array
        slack_dm_scope:
          anyOf:
            - enum:
                - org_members
                - workspace
              type: string
            - type: 'null'
          description: >-
            生成されたセッションが、組織に接続されたワークスペースで 1 対 1 の Slack DM
            を開始することを許可します。'org_members'（Enterprise アカウントのみ）は DM
            の送信先を組織のメンバーに制限します。'workspace'（非 Enterprise
            アカウントのみ）は、対象となるすべてのワークスペースメンバーを許可します。DM を無効にするには、省略するか null を指定します。
          title: Slack Dm Scope
      title: AutomationTools
      type: object
    AutomationTriggerResponse:
      additionalProperties: false
      properties:
        conditions:
          anyOf:
            - $ref: '#/components/schemas/AutomationConditions-Output'
            - type: 'null'
        event_type:
          title: Event Type
          type: string
        replies:
          default: []
          items:
            $ref: '#/components/schemas/AutomationReply'
          title: Replies
          type: array
        trigger_id:
          description: triggers を置換すると再発行されます。編集後も同じ値にはなりません。
          title: Trigger Id
          type: string
        webhook:
          anyOf:
            - $ref: '#/components/schemas/AutomationWebhookResponse'
            - type: 'null'
          description: webhook:incoming トリガーでのみ使用されます。
      required:
        - trigger_id
        - event_type
      title: AutomationTriggerResponse
      type: object
    AutomationSlackMonitorConfig:
      additionalProperties: false
      properties:
        source_channel_id:
          title: Source Channel Id
          type: string
        team_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Team Id
      required:
        - source_channel_id
      title: AutomationSlackMonitorConfig
      type: object
    AutomationSessionConfig-Output:
      additionalProperties: false
      properties:
        bypass_approval:
          default: false
          description: >-
            子セッションの作成を自動承認します（このフラグがバイパスするチェックはこれだけです）。今後バイパス可能なチェックを追加する場合は、新しいフィールドが必要です。
          title: Bypass Approval
          type: boolean
        notifications:
          anyOf:
            - $ref: '#/components/schemas/AutomationSessionNotificationsConfig'
            - type: 'null'
          description: セッションコンテンツの通知（現在は Slack のみ）。
        platform:
          anyOf:
            - type: string
            - type: 'null'
          description: セッションの VM プラットフォーム。null の場合、セッションは呼び出し時点で組織のデフォルトプラットフォームを使用します。
          title: Platform
        playbook_id:
          anyOf:
            - type: string
            - type: 'null'
          description: '読み取り専用: プロンプト内の最初の @playbook: トークンから導出されます。'
          title: Playbook Id
        repos:
          default: []
          description: '読み取り専用: プロンプト内の repo トークンから導出されます。'
          items:
            type: string
          title: Repos
          type: array
        tags:
          default: []
          description: セッションタグ。タグ付けが強制される Enterprise では、許可された値をちょうど 1 つ指定する必要があります。
          items:
            type: string
          title: Tags
          type: array
      title: AutomationSessionConfig
      type: object
    AutomationInvocationLimits:
      additionalProperties: false
      properties:
        max_per_window:
          minimum: 1
          title: Max Per Window
          type: integer
        window_seconds:
          minimum: 60
          title: Window Seconds
          type: integer
      required:
        - max_per_window
        - window_seconds
      title: AutomationInvocationLimits
      type: object
    AutomationEmailNotification:
      additionalProperties: false
      properties:
        recipients:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          description: null = 自動化の作成者。サービスユーザーが作成した自動化では必須です。
          title: Recipients
        when:
          enum:
            - always
            - dispatch_failed
            - dispatch_succeeded
          title: When
          type: string
      required:
        - when
      title: AutomationEmailNotification
      type: object
    AutomationSlackNotification:
      additionalProperties: false
      properties:
        channel_id:
          title: Channel Id
          type: string
        when:
          enum:
            - always
            - dispatch_failed
            - dispatch_succeeded
          title: When
          type: string
      required:
        - when
        - channel_id
      title: AutomationSlackNotification
      type: object
    AutomationNetPolicy:
      additionalProperties: false
      properties:
        allow:
          items:
            anyOf:
              - $ref: '#/components/schemas/AutomationHostnameDestination'
              - $ref: '#/components/schemas/AutomationIpv4Destination'
              - $ref: '#/components/schemas/AutomationIpv6Destination'
          title: Allow
          type: array
      required:
        - allow
      title: AutomationNetPolicy
      type: object
    AutomationSlackChannel:
      additionalProperties: false
      properties:
        channel_id:
          title: Channel Id
          type: string
        team_id:
          title: Team Id
          type: string
      required:
        - team_id
        - channel_id
      title: AutomationSlackChannel
      type: object
    AutomationConditions-Output:
      additionalProperties: false
      properties:
        any:
          description: ANDグループのOR（固定の2レベルDNF）。
          items:
            $ref: '#/components/schemas/AutomationConditionGroup'
          title: Any
          type: array
      required:
        - any
      title: AutomationConditions
      type: object
    AutomationReply:
      additionalProperties: false
      properties:
        type:
          description: >-
            notify_thread: ディスパッチ時にトリガー元スレッドへ一方向の「セッション開始」通知を送信します（Slack
            トリガー）。attach_thread: ディスパッチ時にトリガー元スレッドに双方向でバインドします（Slack
            トリガー）。post_response: エージェントの応答をトリガー元のコンテキストに送信します。
          enum:
            - notify_thread
            - attach_thread
            - post_response
          title: Type
          type: string
      required:
        - type
      title: AutomationReply
      type: object
    AutomationWebhookResponse:
      additionalProperties: false
      properties:
        secret:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            新たに発行された場合（作成時または再追加時）にのみ存在し、以後は取得できません。triggers を置換しても既存の secret
            は保持されます。
          title: Secret
        url:
          description: 外部システムが POST する受信エンドポイント（ヘッダー X-Webhook-Secret）。
          title: Url
          type: string
      required:
        - url
      title: AutomationWebhookResponse
      type: object
    AutomationSessionNotificationsConfig:
      additionalProperties: false
      description: 自動化レベルの``notifications``グループ（ディスパッチステータスの通知）とは異なる、生成されたセッションのコンテンツの送信先。
      properties:
        slack:
          anyOf:
            - $ref: '#/components/schemas/AutomationSessionSlackConfig'
            - type: 'null'
          description: >-
            セッションに Slack
            上のホームを設定します。初回配信時にスレッドがバインドされると、post_updates/forward_thread および
            post_response で双方向のやり取りが可能になります。
      title: AutomationSessionNotificationsConfig
      type: object
    AutomationHostnameDestination:
      additionalProperties: false
      properties:
        hostname:
          title: Hostname
          type: string
      required:
        - hostname
      title: AutomationHostnameDestination
      type: object
    AutomationIpv4Destination:
      additionalProperties: false
      properties:
        ipv4:
          title: Ipv4
          type: string
      required:
        - ipv4
      title: AutomationIpv4Destination
      type: object
    AutomationIpv6Destination:
      additionalProperties: false
      properties:
        ipv6:
          title: Ipv6
          type: string
      required:
        - ipv6
      title: AutomationIpv6Destination
      type: object
    AutomationConditionGroup:
      additionalProperties: false
      properties:
        all:
          description: 'AND: グループ内のすべての条件が一致する必要があります。'
          items:
            discriminator:
              mapping:
                between:
                  $ref: '#/components/schemas/AutomationRangeCondition'
                contains:
                  $ref: '#/components/schemas/AutomationStringCondition'
                ends_with:
                  $ref: '#/components/schemas/AutomationStringCondition'
                eq:
                  $ref: '#/components/schemas/AutomationComparisonCondition'
                globs:
                  $ref: '#/components/schemas/AutomationGlobCondition'
                gt:
                  $ref: '#/components/schemas/AutomationNumericCondition'
                gte:
                  $ref: '#/components/schemas/AutomationNumericCondition'
                in:
                  $ref: '#/components/schemas/AutomationListCondition'
                is_empty:
                  $ref: '#/components/schemas/AutomationEmptyCondition'
                is_not_empty:
                  $ref: '#/components/schemas/AutomationEmptyCondition'
                lt:
                  $ref: '#/components/schemas/AutomationNumericCondition'
                lte:
                  $ref: '#/components/schemas/AutomationNumericCondition'
                matches:
                  $ref: '#/components/schemas/AutomationMatchCondition'
                neq:
                  $ref: '#/components/schemas/AutomationComparisonCondition'
                not_contains:
                  $ref: '#/components/schemas/AutomationStringCondition'
                not_ends_with:
                  $ref: '#/components/schemas/AutomationStringCondition'
                not_globs:
                  $ref: '#/components/schemas/AutomationGlobCondition'
                not_in:
                  $ref: '#/components/schemas/AutomationListCondition'
                not_matches:
                  $ref: '#/components/schemas/AutomationMatchCondition'
                not_starts_with:
                  $ref: '#/components/schemas/AutomationStringCondition'
                recurrence:
                  $ref: '#/components/schemas/AutomationRecurrenceCondition'
                starts_with:
                  $ref: '#/components/schemas/AutomationStringCondition'
              propertyName: operator
            oneOf:
              - $ref: '#/components/schemas/AutomationComparisonCondition'
              - $ref: '#/components/schemas/AutomationStringCondition'
              - $ref: '#/components/schemas/AutomationNumericCondition'
              - $ref: '#/components/schemas/AutomationEmptyCondition'
              - $ref: '#/components/schemas/AutomationRangeCondition'
              - $ref: '#/components/schemas/AutomationListCondition'
              - $ref: '#/components/schemas/AutomationMatchCondition'
              - $ref: '#/components/schemas/AutomationRecurrenceCondition'
              - $ref: '#/components/schemas/AutomationGlobCondition'
          title: All
          type: array
      required:
        - all
      title: AutomationConditionGroup
      type: object
    AutomationSessionSlackConfig:
      additionalProperties: false
      properties:
        channel_id:
          title: Channel Id
          type: string
        mode:
          description: >-
            post_updates: セッションはチャンネル内のスレッドで会話します（Slack
            以外のトリガーでも利用可能）。forward_thread: これに加え、トリガー元のスレッドにバックリンクを投稿します（Slack
            トリガーが必要）。post_response:
            セッションの最終応答をチャンネルにトップレベルメッセージとして投稿し、その後、返信およびフォローアップメッセージ用にスレッドをバインドします（すべてのトリガーで利用可能）。
          enum:
            - post_updates
            - forward_thread
            - post_response
          title: Mode
          type: string
      required:
        - mode
        - channel_id
      title: AutomationSessionSlackConfig
      type: object
    AutomationRangeCondition:
      additionalProperties: false
      properties:
        field:
          title: Field
          type: string
        operator:
          const: between
          title: Operator
          type: string
        value:
          description: 両端を含む [low, high] の範囲。
          maxItems: 2
          minItems: 2
          prefixItems:
            - anyOf:
                - type: integer
                - type: number
            - anyOf:
                - type: integer
                - type: number
          title: Value
          type: array
      required:
        - field
        - operator
        - value
      title: AutomationRangeCondition
      type: object
    AutomationStringCondition:
      additionalProperties: false
      properties:
        field:
          title: Field
          type: string
        operator:
          enum:
            - contains
            - not_contains
            - starts_with
            - not_starts_with
            - ends_with
            - not_ends_with
          title: Operator
          type: string
        value:
          title: Value
          type: string
      required:
        - field
        - operator
        - value
      title: AutomationStringCondition
      type: object
    AutomationComparisonCondition:
      additionalProperties: false
      properties:
        field:
          title: Field
          type: string
        operator:
          enum:
            - eq
            - neq
          title: Operator
          type: string
        value:
          anyOf:
            - type: string
            - type: integer
            - type: number
            - type: boolean
          title: Value
      required:
        - field
        - operator
        - value
      title: AutomationComparisonCondition
      type: object
    AutomationGlobCondition:
      additionalProperties: false
      properties:
        field:
          title: Field
          type: string
        operator:
          enum:
            - globs
            - not_globs
          title: Operator
          type: string
        value:
          description: Glob パターン。変更されたパスのいずれかが一致します（github:push、gitlab:push）。
          items:
            type: string
          title: Value
          type: array
      required:
        - field
        - operator
        - value
      title: AutomationGlobCondition
      type: object
    AutomationNumericCondition:
      additionalProperties: false
      properties:
        field:
          title: Field
          type: string
        operator:
          enum:
            - gt
            - lt
            - gte
            - lte
          title: Operator
          type: string
        value:
          anyOf:
            - type: integer
            - type: number
          title: Value
      required:
        - field
        - operator
        - value
      title: AutomationNumericCondition
      type: object
    AutomationListCondition:
      additionalProperties: false
      properties:
        field:
          title: Field
          type: string
        operator:
          enum:
            - in
            - not_in
          title: Operator
          type: string
        value:
          items:
            type: string
          title: Value
          type: array
      required:
        - field
        - operator
        - value
      title: AutomationListCondition
      type: object
    AutomationEmptyCondition:
      additionalProperties: false
      description: '単項演算子: フィールドが空かどうかに基づいて一致します。`value` にデータは含まれません。'
      properties:
        field:
          title: Field
          type: string
        operator:
          enum:
            - is_empty
            - is_not_empty
          title: Operator
          type: string
        value:
          title: Value
          type: 'null'
      required:
        - field
        - operator
      title: AutomationEmptyCondition
      type: object
    AutomationMatchCondition:
      additionalProperties: false
      properties:
        field:
          title: Field
          type: string
        operator:
          enum:
            - matches
            - not_matches
          title: Operator
          type: string
        value:
          description: 正規表現。
          title: Value
          type: string
      required:
        - field
        - operator
        - value
      title: AutomationMatchCondition
      type: object
    AutomationRecurrenceCondition:
      additionalProperties: false
      properties:
        field:
          title: Field
          type: string
        operator:
          const: recurrence
          title: Operator
          type: string
        value:
          description: >-
            schedule:recurring の rrule フィールド用の iCalendar RRULE。例:
            FREQ=WEEKLY;BYDAY=MO;BYHOUR=9;BYMINUTE=0
          title: Value
          type: string
      required:
        - field
        - operator
        - value
      title: AutomationRecurrenceCondition
      type: object
  securitySchemes:
    bearerAuth:
      description: 'サービスユーザーの認証情報（接頭辞: cog_）'
      scheme: bearer
      type: http

````